module.exports = {
  port: process.env.NODE_PORT || 10230,
  line: {
    secret: process.env.LINE_SECRET || '',
    access: process.env.LINE_ACCESS || ''
  },
  twitch: {
    clientid: process.env.TWITCH_CLIENT_ID || '',
    subsecret: process.env.TWITCH_SUB_SECRET || ''
  },
  database: {
    host: process.env.DB_HOST || 'localhost',
    port: process.env.DB_PORT || 5432,
    user: process.env.DB_USER || 'postgres',
    pass: process.env.DB_PASS || '',
    dbname: process.env.DB_NAME || 'mtfosbot'
  }
}
