--
-- PostgreSQL database dump
--

-- Dumped from database version 10.2 (Debian 10.2-1.pgdg90+1)
-- Dumped by pg_dump version 10.2 (Debian 10.2-1.pgdg90+1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

SET search_path = public, pg_catalog;

ALTER TABLE IF EXISTS ONLY public.page_group_rt DROP CONSTRAINT IF EXISTS page_group_rt_pageid_groupid_pk;
DROP TABLE IF EXISTS public.version_ctrl;
DROP TABLE IF EXISTS public.page_group_rt;
DROP EXTENSION IF EXISTS plpgsql;
DROP SCHEMA IF EXISTS public;
--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: page_group_rt; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE page_group_rt (
    pageid character varying(200) NOT NULL,
    groupid character varying(200) NOT NULL,
    notify boolean DEFAULT false NOT NULL,
    lastpost character varying(200) DEFAULT ''::character varying NOT NULL,
    ctime timestamp with time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    mtime timestamp with time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    notify_tmpl character varying(500) DEFAULT ''::character varying NOT NULL
);


--
-- Name: version_ctrl; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE version_ctrl (
    version integer NOT NULL,
    ctime timestamp with time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    querystr character varying(5000) DEFAULT ''::character varying NOT NULL
);


--
-- Name: page_group_rt page_group_rt_pageid_groupid_pk; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY page_group_rt
    ADD CONSTRAINT page_group_rt_pageid_groupid_pk PRIMARY KEY (pageid, groupid);


--
-- Name: SCHEMA public; Type: ACL; Schema: -; Owner: -
--

GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

